<div class="course-header">
    <mat-icon *ngIf="!(courseId == 'null')" (click)="goToCourseListPage()">arrow_back</mat-icon>
    <h1>{{ courseId == 'null' ? 'Create' : 'Edit' }} Course</h1>
</div>

<div class="course-form-wrapper">
    <form [formGroup]="courseForm" (ngSubmit)="updateCourseDetails()">
        <mat-form-field appearance="outline">
            <mat-label>Name</mat-label>
            <input type="text" matInput formControlName="name" placeholder="Enter the course name">
            <mat-error *ngIf="name?.hasError('required')">Name is required field</mat-error>
        </mat-form-field>
    
        <mat-form-field appearance="outline">
            <mat-label>Description</mat-label>
            <textarea type="text" matInput formControlName="description" placeholder="Enter the course description"></textarea>
            <mat-error *ngIf="description?.hasError('required')">Description is required field</mat-error>
        </mat-form-field>
    
        <mat-form-field appearance="outline">
            <mat-label>Author</mat-label>
            <input type="text" matInput formControlName="author" placeholder="Enter the course name">
            <mat-error *ngIf="author?.hasError('required')">Author is required field</mat-error>
        </mat-form-field>
    
        <mat-form-field appearance="outline">
            <mat-label>Price</mat-label>
            <input type="number" matInput formControlName="price" (keypress)="numericOnly($event)" placeholder="Enter the course name">
            <mat-error *ngIf="price?.hasError('required')">Price is required field</mat-error>
        </mat-form-field>
    
        <button type="submit" [disabled]="courseForm.invalid" mat-flat-button color="primary">Submit Course Details</button>
    </form>
</div>
